import rehypeHighlight from 'rehype-highlight';

function highlight({ subset = false, ignoreMissing = true, ...rest } = {}) {
    return {
        rehypeTransformer: (u) => u.use(rehypeHighlight, { subset, ignoreMissing, ...rest }),
        markdownSanitizeSchema: {
            attributes: {
                code: ['className'],
            },
        },
    };
}

export default highlight;
//# sourceMappingURL=index.esm.js.map
